import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  Create an endpoint on an AWS Elemental MediaPackage channel.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-mediapackage-originendpoint.html">the AWS Docs</a>
*/
export function originEndpoint(originEndpointProps) {
    return new AwsResource('AWS::MediaPackage::OriginEndpoint', originEndpointProps, { Arn: 'Arn', Url: 'Url' });
}
